# Folder Structure

The folder and file structure related to the project to be copied is as follows. Companies using the ChannelTemplateApp project are expected to develop the relevant classes under the "channel" directory to create a new sales channel.

```
channel_app_template

├── akinon
    └── integration.py

├── channel
    └── integration.py
    └── commands.py
        └── setup.py
        └── products.py
        └── product_prices.py
        └── product_stocks.py
        └── product_images.py
        └── orders
            └── orders.py

├── app
    └── tasks.py

├── celery_app
    └── celery.py
    └── celery_schedule_conf.py
    └── celeryconfig.py
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akinon.com/technical-guides/channel-app-template/development-steps/folder-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
